APIFile management

List directory contents

Returns a list of files and folders in the specified directory

Returns a list of files and folders in the specified directory

GET
/api/client/servers/{server}/files/list

Authorization

bearerAuth
AuthorizationBearer <token>

Enter your API token in the format: Bearer {token}

In: header

Path Parameters

server*string

Server UUID

Query Parameters

directory?string

Directory path to list (defaults to root)

Default"/"

Response Body

application/json

curl -X GET "https://example.com/api/client/servers/string/files/list"
{
  "object": "list",
  "data": [
    {
      "object": "file_object",
      "attributes": {
        "name": "string",
        "mode": "string",
        "size": 0,
        "is_file": true,
        "is_symlink": true,
        "mimetype": "string",
        "created_at": "2019-08-24T14:15:22Z",
        "modified_at": "2019-08-24T14:15:22Z"
      }
    }
  ]
}
Empty
Empty
Empty
Empty